#pragma once
#include <gint/display.h>

#define TARGET_FPS            60
#define TILE_SIZE             16
#define PLAYER_WIDTH          12
#define PLAYER_HEIGHT         12
#define GRAVITY               0.2f
#define AIR_RESISTANCE        0.03f
#define MAX_WALK_SPEED        2.0f
#define ACCELERATION_AIR      0.4f
#define ACCELERATION_GROUND   0.4f
#define FRICTION_AIR          (ACCELERATION_AIR / MAX_WALK_SPEED)
#define FRICTION_GROUND       (ACCELERATION_GROUND / MAX_WALK_SPEED)
#define FRICTION_BREAK        (0.6f / MAX_WALK_SPEED)
#define JUMP_GRACE            1
#define JUMP_BUFFER           12
#define JUMP_SPD              -4.6
#define WJUMP_LOCK            15
#define STARS_COUNT           64
#define STARS_SIZE            2
#define STARS_MIN_X           0
#define STARS_MAX_X           (DWIDTH - STARS_SIZE)
#define STARS_COLOR           C_RGB(31, 31, 31)
#define STARS_BASE_SPEED      1.0
#define STARS_MAX_SPEED       3.0
#define STARS_SPEED_VARIATION (STARS_MAX_SPEED - STARS_BASE_SPEED)
#define STARS_STRETCH         2.0
